Межсайтовый скриптинг в python-markdown2

Дата публикации:
30.10.2009
Дата изменения:
30.10.2009
Всего просмотров:
871
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
python-markdown2 1.x
Уязвимые версии: python-markdown2 версии до 1.0.1.15

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки атрибутов изображений. Удаленный пользователь может с помощью специально сформированного атрибута выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за использования предсказуемых md5 хешей при обработке HTML данных. Удаленный пользователь может выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: code.google.com/p/python-markdown2/

Решение: Установите последнюю версию 1.0.1.15 с сайта производителя.

Ссылки: http://code.google.com/p/python-markdown2/issues/detail?id=30
http://code.google.com/p/python-markdown2/issues/detail?id=29

или введите имя

CAPTCHA